package com.pcloud.book.group.mapper;

import com.pcloud.book.group.entity.ResourcePageMarketingActivity;
import com.pcloud.book.group.vo.ResourcePageMarketingActivityVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ResourcePageMarketingActivityMapper {
    int deleteByPrimaryKey(Long id);

    int insert(ResourcePageMarketingActivity record);

    int insertSelective(ResourcePageMarketingActivity record);

    ResourcePageMarketingActivity selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ResourcePageMarketingActivity record);

    int updateByPrimaryKey(ResourcePageMarketingActivity record);

    void deleteByResourcePageId(@Param("resourcePageId") Long resourcePageId);

    void batchInsert(@Param("records") List<ResourcePageMarketingActivity> records);

    List<ResourcePageMarketingActivityVO> listByResourcePageId(@Param("resourcePageId") Long resourcePageId);
}